# Class SizeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.util.http.fileupload.FileUploadException
org.apache.tomcat.util.http.fileupload.impl.SizeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FileSizeLimitExceededException`, `SizeLimitExceededException`

public abstract class SizeException extends FileUploadException
This exception is thrown, if a requests permitted size is exceeded.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SizeException(String message, long actual, long permitted)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`long`
`getActualSize()`
Retrieves the actual size of the request.
`long`
`getPermittedSize()`
Retrieves the permitted size of the request.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SizeException

protected SizeException(String message, long actual, long permitted)
Creates a new instance.

Parameters:
  `message` - The detail message.
  `actual` - The actual number of bytes in the request.
  `permitted` - The requests size limit, in bytes.

## Method Details

### getActualSize

public long getActualSize()
Retrieves the actual size of the request.

Returns:
  The actual size of the request.
Since:
  FileUpload 1.3

### getPermittedSize

public long getPermittedSize()
Retrieves the permitted size of the request.

Returns:
  The permitted size of the request.
Since:
  FileUpload 1.3